Package org.eclipse.net4j.util.collection

# Class ByteArrayWrapper

java.lang.Object
org.eclipse.net4j.util.collection.ByteArrayWrapper

public final class ByteArrayWrapper extends Object
A wrapper for byte arrays that implements `equals(Object)` and `hashCode()` based on the array's contents.

Since:
  3.2
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ByteArrayWrapper(byte[] data)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`byte[]`
`getData()`
`int`
`hashCode()`
`static Set<byte[]>`
`toByteArray(Set<ByteArrayWrapper> wrappers)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ByteArrayWrapper

public ByteArrayWrapper(byte[] data)

## Method Details

### getData

public byte[] getData()

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### toByteArray

public static Set<byte[]> toByteArray(Set<ByteArrayWrapper> wrappers)